<?php
	require_once("connect.inc.php");	
	header('Content-Type: text/xml');

	$charId = $_GET['charId'];

//function takeGround( $charId ) {

	$request = 'select * from tests_take_ground ('.$charId.')';
	$capture = pg_query($connexion, $request ) or die ( pg_last_error() .'<br/>'.$request ); 

	$capture = pg_fetch_array($capture);
	
	
  	$xml  = '<bool>'.$capture[0].'</bool>'; // indice de retour d'erreur ( pour que Javascript gère comme il veut )
  	
  	// message d'erreur à afficher dispo pour Javascript
	$error = 'Deplacement impossible : ';
	switch($capture[0]) {
		case 1 :  // Retourne 1 si vous n'avez pas assez de points
			$error .= 'Vous n\'avez pas assez de ponts, revenez plus tard et plus riche!'; break;
			
		case 2 :  //2 si vous devez d'abord combattre les propriétaire se trouvant sur le terrain 
			$error .= 'Ce terrain est déjà pris...trop tard !'; break;
			
		case 3 :  //3 si c'est OK (les propriétaires ne sont pas là)
			$error .= 'Félicitations! Ce terrain est maintenant à vous, il est déserté par ses propriétaires'; break;
		
		default : //4  si c'est OK(le terrain n'appartient à personne).
			$error .= 'Bravo! Ce terrain est maintenant à vous, il n\'appartenait à personne';
	}
	$xml .= '<error>'.$error.'</error>';
	
	// écriture de la page XML renvoyée au XMLHttpRequest ( qui la parsera )
	echo '<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xml>'.$xml.'</xml>';
//}
//takeGround( $_POST['charId'] );  
?>
